// $Id: CWaxLibs.h,v 1.1 2003/05/10 06:46:41 ta_muto Exp $
//

#ifndef __wax_CWaxLibs_h
#define __wax_CWaxLibs_h

#include <common.h>
#include <CEnvironment.h>

namespace wax {
	class CWaxLibs {
	public:
		static bool parse(CEnvironment* runenv, xmlNodePtr cur, xmlChar*& content);
		static bool parseAsContent(CEnvironment* runenv, xmlNodePtr cur, xmlNsPtr ns, xmlChar*& content);
		
		static xmlChar* evaluateXPath(const xmlChar* connect, CCollection& vars, const xmlChar* expr);
		static xmlChar* evaluateXPath(xmlDocPtr doc, CCollection& vars, const xmlChar* expr);
	} ;
}

#endif
